Jump to content


Roll Back to Wrapper 1.0.37 to fix Glitching/Missing Tanks/Logos/Etc

mac os x flashing glitch bug missing tanks missing logos

  • Please log in to reply
81 replies to this topic

jocarot #21 Posted Mar 01 2017 - 19:21

    Corporal

  • Beta Testers
  • 18452 battles
  • 20
  • Member since:
    09-22-2010
today i had a problem. I start the game and "·$%&/( start updating 2,2 GB!!!! why?

jocarot #22 Posted Mar 01 2017 - 19:23

    Corporal

  • Beta Testers
  • 18452 battles
  • 20
  • Member since:
    09-22-2010
And now its updating for 5 gb :(

Edited by jocarot, Mar 01 2017 - 19:36.


dstud208 #23 Posted Mar 01 2017 - 21:25

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostRed_Baron007, on Mar 01 2017 - 11:10, said:

OH!! SO sorry... I missed that. I thought you had said recently that your utility was borked and to not use it, because it would delete everything. That is ok to use now then I guess. 

 

Thanks again....

 

http://forum.worldof...studly-utility/

 

Oh yes, it was borked, haha nice way of putting it. I've fixed the utility now though, so it should behave as expected. Download the new one and your good to go



dstud208 #24 Posted Mar 01 2017 - 21:28

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View Postjocarot, on Mar 01 2017 - 11:21, said:

today i had a problem. I start the game and "·$%&/( start updating 2,2 GB!!!! why?

 

Unfortunately sometimes the RB wrapper works nicely with your game, sometimes it doesn't. I haven't found a "bulletproof" way of making it work. Unfortunately either something has changed with the way the wrapper treats folders and sym links, or it's just recently made itself known. Either way there is a chance you will need to reinstall the whole game, sorry mate.



jocarot #25 Posted Mar 02 2017 - 17:55

    Corporal

  • Beta Testers
  • 18452 battles
  • 20
  • Member since:
    09-22-2010

View Postdstud208, on Mar 01 2017 - 16:28, said:

 

Unfortunately sometimes the RB wrapper works nicely with your game, sometimes it doesn't. I haven't found a "bulletproof" way of making it work. Unfortunately either something has changed with the way the wrapper treats folders and sym links, or it's just recently made itself known. Either way there is a chance you will need to reinstall the whole game, sorry mate.

 

NP, and thx for all the work you put on helping mac players.

Sidevalve #26 Posted Mar 02 2017 - 20:06

    Private

  • -Players-
  • 3551 battles
  • 6
  • Member since:
    11-13-2016

OK - so I might be doing something wrong here? Followed all Dstud's instructions and yay! all worked fine again. Spent a couple of hours tanking about without flickering buildings etc; delightful.

Came back to the game couple of days later - it was flickering buildings and invisible rocks again - back to where I started. Went through whole process again, downloading about 7gb of files - but no joy. Do I need to uninstall something, or perhaps wipe the whole WoT folder and redo from the roll back file? Opinions welcome.....

thanks



Djordje_Andjelkovic #27 Posted Mar 02 2017 - 23:39

    Private

  • -Players-
  • 0 battles
  • 7
  • Member since:
    03-02-2017

View Postdstud208, on Feb 27 2017 - 05:38, said:

Hey Guys/Gals

 

One player a while back rolled his wrapper back to version 1.0.37 (from the now current 2.0.1) and reported that all the problems went away. I have dug up an old wrapper (version 1.0.37) and modified it to work with the new file system that got put in place. So just to be clear, this wrapper will ONLY work properly if you have already attempted the latest wrapper and the folder in your documents is now called "WoT" instead of "World_of_Tanks".

 

Instructions:

  1. Download it from HERE
  2. Place it in your Applications folder
  3. Run it
  4. DON'T LET IT UPDATE ITSELF!!!!!! Just click the red "x" in the top left corner when it asks you if you want to update.

 

When they fix the current wrapper to work with your computers you can just delete this copy and use the updated one (OR just let this one update itself).

 

If you get a warning that its broken and needs to be moved to the trash: 

  1. Click "Cancel" (don't move it to the trash)
  2. Open my Studly Utility
  3. Navigate to World of Warships (yes Warships) -> Troubleshooting -> Fix "Damaged" Wrapper.
  4. A window will popup, just select your wrapper and click "Choose"

This will "repair" the wrapper and you will be able to use it.

 

HI, after RUN I get this message:

“World of Tanks RB” is damaged and can’t be opened. You should move it to the Trash."

 

Any idea?



dstud208 #28 Posted Mar 03 2017 - 03:19

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostSidevalve, on Mar 02 2017 - 12:06, said:

OK - so I might be doing something wrong here? Followed all Dstud's instructions and yay! all worked fine again. Spent a couple of hours tanking about without flickering buildings etc; delightful.

Came back to the game couple of days later - it was flickering buildings and invisible rocks again - back to where I started. Went through whole process again, downloading about 7gb of files - but no joy. Do I need to uninstall something, or perhaps wipe the whole WoT folder and redo from the roll back file? Opinions welcome.....

thanks

 

Well you probably either let the wrapper update, or your accidentally using the "new" wrapper, make sure that the wrapper your using is 1.0.37.1 NOT 2.0.1, you can check by selecting it and hitting "Command + I" it'll be in the top section of the window that pops up



dstud208 #29 Posted Mar 03 2017 - 03:21

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostDjordje_Andjelkovic, on Mar 02 2017 - 15:39, said:

 

HI, after RUN I get this message:

“World of Tanks RB” is damaged and can’t be opened. You should move it to the Trash."

 

Any idea?

 

Yes, follow the second half of that post, it'll tell you how to use the studly utility to "fix" the wrapper (it's not really broken, just had some properties get lost in the upload/download process)



Red_Baron007 #30 Posted Mar 03 2017 - 04:14

    Corporal

  • Players
  • 22325 battles
  • 62
  • [--DRB] --DRB
  • Member since:
    10-10-2013

View Postdstud208, on Feb 27 2017 - 04:38, said:

Hey Guys/Gals

 

One player a while back rolled his wrapper back to version 1.0.37 (from the now current 2.0.1) and reported that all the problems went away. I have dug up an old wrapper (version 1.0.37) and modified it to work with the new file system that got put in place. So just to be clear, this wrapper will ONLY work properly if you have already attempted the latest wrapper and the folder in your documents is now called "WoT" instead of "World_of_Tanks".

 

Instructions:

  1. Download it from HERE
  2. Place it in your Applications folder
  3. Run it
  4. DON'T LET IT UPDATE ITSELF!!!!!! Just click the red "x" in the top left corner when it asks you if you want to update.

 

So I finally got back to this and I'm a little confused. I did not let it update itself and clicked the red x. So then the next step is to execute the wrapper correct? When I did that, it immediately started to download the whole package again. I thought since I had all the current stuff it should just open up. No? 2.2gb worth. (sorry I couldn't figure out how to put my info in below the quote.)

 



dstud208 #31 Posted Mar 03 2017 - 04:37

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostRed_Baron007, on Mar 02 2017 - 20:14, said:

 

 

Unfortunately for some players it over writes the existing install and downloads the whole thing again. Sorry but you appear to be one of those players. I just couldn't figure out a "foolproof" way of rolling the wrapper back.



Djordje_Andjelkovic #32 Posted Mar 03 2017 - 07:54

    Private

  • -Players-
  • 0 battles
  • 7
  • Member since:
    03-02-2017

View Postdstud208, on Mar 03 2017 - 03:21, said:

 

Yes, follow the second half of that post, it'll tell you how to use the studly utility to "fix" the wrapper (it's not really broken, just had some properties get lost in the upload/download process)

 

Yes :( I saw, thank you...

dstud208 #33 Posted Mar 03 2017 - 15:10

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostDjordje_Andjelkovic, on Mar 02 2017 - 23:54, said:

 

Yes :( I saw, thank you...

 

You good now?



Djordje_Andjelkovic #34 Posted Mar 03 2017 - 18:35

    Private

  • -Players-
  • 0 battles
  • 7
  • Member since:
    03-02-2017

i did like you advice but still can not play on EU :(



dstud208 #35 Posted Mar 03 2017 - 19:23

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostDjordje_Andjelkovic, on Mar 03 2017 - 10:35, said:

i did like you advice but still can not play on EU :(

 

Thats because this RB wrapper is originally an NA wrapper. So your installing the NA client. What you need to do is use the EU wrapper to download the EU client, put it somewhere safe, then run the RB wrapper, once it starts downloading the client again you take your EU game files and replace the what's in there, then you will be able to play on EU.

 

Skully wrote a guide on how to do that:

http://forum.worldof...me-etc/#topmost

 

sorry bro, I didn't realize you were trying to play on the EU server.



Djordje_Andjelkovic #36 Posted Mar 03 2017 - 19:56

    Private

  • -Players-
  • 0 battles
  • 7
  • Member since:
    03-02-2017
TX for answer. One question more. With normal instaltaion from eu I could play but with the problem like other described. Did your way solve this or only to make instalation. Tx Djordje

dstud208 #37 Posted Mar 03 2017 - 20:52

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012

View PostDjordje_Andjelkovic, on Mar 03 2017 - 11:56, said:

TX for answer. One question more. With normal instaltaion from eu I could play but with the problem like other described. Did your way solve this or only to make instalation. Tx Djordje

 

If you follow skullys guide you will be able to play on EU without the problems.



Djordje_Andjelkovic #38 Posted Mar 03 2017 - 22:21

    Private

  • -Players-
  • 0 battles
  • 7
  • Member since:
    03-02-2017

View Postdstud208, on Mar 03 2017 - 20:52, said:

 

If you follow skullys guide you will be able to play on EU without the problems.

 

tx

Red_Baron007 #39 Posted Mar 04 2017 - 00:03

    Corporal

  • Players
  • 22325 battles
  • 62
  • [--DRB] --DRB
  • Member since:
    10-10-2013

Well  here is a report back after rewinding to the older wrapper. I DID re-download the entire 2.2gb package, which is fine. That way I know it is fresh. I loaded the game and it let me log in. I thought the first thing I should do is go to settings and make sure everything looked alright. Before I could really even click on anything, the full screen mode came out into a weird windowed mode and shrunk into nothing. Kind of like when you close an app. It looked like it was going down into the lower right. Popped right back up, and shrunk again. This time it stayed black, and a white mouse pointer showed up on the black screen. That is it. Done.

 

I will try it a couple of times and see if it continues. I may try to make a video of what I see, since it is so whacky

 

Later: It took 4 tries to get in. It would just lock up. Last try it came up and seemed solid. I decided to play a round and I got a round in! Not in safe mode. I think now just for giggles, I'll put a mod pack on and see if it will still work. More later.

 

Later: Okay loaded up Modpacks and it crashes the exact same way as the newer wrapper. The garage and settings page is fine. It is when yo start a game, you never see the map and it goes black, then reloads, then goes black, then comes back up asking you to log in again. Finally crashing hard. It seems video related. So clearly my Nvidia card Macbook Pro is having a different issue. The only way back in, is safe mode. At least that still works. Safe mode looks identical as normal mode, pre mod pack.

 

Is there a way to verify I still have the older wrapper installed?


Thanks

 


Edited by Red_Baron007, Mar 04 2017 - 00:32.


dstud208 #40 Posted Mar 04 2017 - 01:38

    Captain

  • Players
  • 17761 battles
  • 1,784
  • [-BRO] -BRO
  • Member since:
    10-15-2012
If you right click it and select "get info" a window will pop up, in the top section of that window there will be a version number, the one you want is 1.0.37.1




1 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users